<template lang="pug">
details.accordion(:open="open")
  summary.accordion-header.
    #[span.ml-2.col-mr-auto {{ name | capitalize({ onlyFirstLetter: true }) }} ]
    ({{ $t( required ? 'required' : 'recommended' ) | lowercase }}) <z-icon tabindex="-1" name="arrow_right"/>
  div.accordion-body
    slot
</template>

<script>
export default {
  props: {
    required: Boolean,
    open: Boolean,
    name: {
      type: String,
      default: ''
    }
  }
}
</script>

<style lang="postcss" scoped>
.accordion {
  width: 100%;
}
summary {
  background-color: rgba(var(--color-foreground), 0.4);
  display: flex !important;
  justify-content: flex-start;
}
.accordion[open=''] .accordion-header,
.accordion[open='open'] .accordion-header {
  font-weight: 700;

  & i {
    transform: rotate(+90deg);
  }
}
</style>
